#!/usr/bin/env bash

# A test for unrecording checkpoint tags, inspired by issue517

set -ev
test $DARCS || DARCS=$PWD/../darcs

EMAIL=tester
export EMAIL;

$DARCS --version

rm -rf temp temp1 temp2
mkdir temp

# This the last commands would blow up if the "--darcs-2" format wasn't used.
$DARCS init --darcs-2 --repodir temp
touch temp/x
$DARCS rec -lam xx --repodir temp
$DARCS tag -m yy --repodir temp
touch temp/z
$DARCS rec -lam zz --repodir temp
$DARCS optimize --checkpoint --repodir temp
$DARCS get --partial temp temp1
echo 'y' |  $DARCS unrec -p TAG --repodir temp1

# Now, the real tests. Do they return sensible results? 
$DARCS get --partial temp1 temp2;
echo 'n' | $DARCS unrec --repodir temp1 -p 'zz'

rm -rf temp temp1 temp2;
$DARCS init --darcs-2 --repodir temp
touch temp/x
$DARCS rec -lam xx --repodir temp
$DARCS tag -m yy --repodir temp
touch temp/z
$DARCS rec -lam zz --repodir temp
$DARCS optimize --checkpoint --repodir temp
$DARCS get --partial temp temp1
echo 'y' |  $DARCS unrec -p TAG --repodir temp1

# Now, the real tests. Do they return sensible results? 
$DARCS get --partial temp1 temp2;
echo 'n' | $DARCS unrec --repodir temp1 -p 'zz'

rm -rf temp temp1 temp2;
