#!/usr/bin/env bash
### http://bugs.darcs.net/issue458
### darcs get --set-scripts-executable ignores umask
set -ev
: ${DARCS:=$PWD/../darcs}
: ${DARCS_EMAIL:=tester}
export DARCS_EMAIL

rm -rf temp
mkdir temp
cd temp

mkdir repo1
$DARCS initialize --repodir repo1
printf >repo1/x '#!/bin/sh\ntrue'   # make a shebang'd script
$DARCS record --repodir repo1 -lam x x
umask 077                       # DENY ALL access to group, all
$DARCS get --set-scripts-executable repo1 repo2
ls -l repo2/x | cut -f 1 -d\  > mode
echo -rwx------ > desired-mode
diff -u desired-mode mode

cd ..
rm -rf temp
