#!/usr/bin/env bash

# For issue588, "amend-record --look-for-adds end up with two "addfile" entries"

set -ev

test $DARCS || DARCS=$PWD/../darcs
ACTUAL_DARCS=`which $DARCS`
DARCSPATH=`dirname $ACTUAL_DARCS`
PATH="$DARCSPATH:$PATH"
export PATH

rm -rf temp1
$DARCS init --repodir temp1

export EMAIL=me

# Setup f with contents foo.
echo foo > temp1/f
$DARCS add --repodir temp1 f
$DARCS rec --repodir temp1 -am p1

# Remove f, and amend p1, but only the hunk not the rmfile.
# Here we use look-for-adds to trigger the bug
rm temp1/f
echo yyd | $DARCS amend-record --repodir temp1 --look-for-adds

$DARCS changes --repodir temp1 --last 1 -v

echo show the buggy pending
cat temp1/_darcs/patches/pending

echo bar > temp1/f
echo y | $DARCS amend-record --repodir temp1 --all

$DARCS changes --repodir temp1 --last 1 -v

$DARCS check --repodir temp1 --no-test

rm -rf temp1
