#!/usr/bin/env bash
### http://bugs.darcs.net/issue496
### _darcs/prefs/defaults ignored when using --repodir
set -ev
: ${DARCS:=$PWD/../darcs}
: ${DARCS_EMAIL:=tester}
export DARCS_EMAIL

## All these commands SHOULD fail (hence leading NOTs).
## I would use the builtin !, but that has the wrong semantics.
not () { "$@" && exit 1 || :; }

rm -rf temp
mkdir temp
cd temp

mkdir repo
$DARCS initialize --repodir repo
cd repo
date > foo
$DARCS add foo
$DARCS record -a -m auth

echo > _darcs/prefs/defaults ALL disable # try to disable all
not $DARCS changes
not $DARCS changes --repodir "$PWD"

cd ..

not $DARCS changes --repodir repo
not $DARCS changes --repodir "$PWD/repo"

rm -rf temp
