#!/bin/bash

set -ev

test $DARCS || DARCS=$PWD/../darcs
ACTUAL_DARCS=`which $DARCS`
DARCSPATH=`dirname $ACTUAL_DARCS`
PATH="$DARCSPATH:$PATH"
export PATH

range="0 1 2"

mkdir temp1 && cd temp1 && $DARCS init
touch f && $DARCS add f
for i in $range
do
  echo $i > f && $DARCS record -A me --ignore-time -m p$i --all f
done

cd .. && mkdir temp2 && cd temp2 && $DARCS init

set -x

: Demonstrate problem with regrem
for i in $range
do
  $DARCS pull --patch p$i ../temp1 --all
  if $DARCS whatsnew ; then
      : Resolve conflict - rollback our patch
      $DARCS revert --all
      $DARCS rollback -a --patch-name x0
      $DARCS revert --all
  fi
  : Create local change and record it
  echo X$i > f && $DARCS record -A me --ignore-time -m x$i --all f
done

cd ..
rm -rf temp1 temp2
