#!/usr/bin/env bash
set -ev

test $DARCS || DARCS=$PWD/../darcs
DARCS_EDITOR=echo
export DARCS_EDITOR

rm -rf temp1 temp2
mkdir temp1 temp2

cd temp2
$DARCS init

# setup test
cd ../temp1
$DARCS init
touch foo bar
$DARCS add foo bar
$DARCS record -a -m add_foo_bar -A x

# Test that a default preference value is not needed to send
$DARCS send --author=me -a --to=random@random --sendmail-command='grep "^To: random@random$" %<' ../temp2

# Test that a default preference will be used when no --to value is specified
echo "default@email" > ../temp2/_darcs/prefs/email 
$DARCS send --author=me -a --sendmail-command='grep "^To: default@email$" %<' ../temp2

# Test that the --to parameter overrides the default value in the repository
$DARCS send --author=me -a --to=override@default --sendmail-command='grep "^To: override@default$" %<' ../temp2

# Test that the --subject parameter sets the subject

# Test that the --output-auto-name parameter outputs what we expect
$DARCS send --author=me -a --subject="it works" --output test1.dpatch ../temp2
$DARCS send --author=me -a --subject="it works" --output-auto-name ../temp2
cmp test1.dpatch add_foo_bar.dpatch

cd ..
rm -rf temp1 temp2
