#!/usr/bin/env bash

set -ev
test $DARCS || DARCS=$PWD/../darcs

# Check that checkpoints are removed when tags are unrecorded

rm -rf temp1
mkdir temp1
cd temp1
$DARCS init
echo foo > f
$DARCS rec -Ax -alm init
$DARCS tag -Ax --checkpoint t
echo y | $DARCS unrec -t t
# the complete inventory has only one patch to check
$DARCS check --complete > out
# The following test fails because the new progress code only
# prints out information on slow commands.
#grep '1 of 1' out >/dev/null

# the checkpoint (if left) has two patches to check
# but it should have been removed
$DARCS check --partial > out
# The following test fails because the new progress code only
# prints out information on slow commands.
#grep '1 of 1' out >/dev/null
cd ..
rm -rf temp1
